DaedraTalos

Evil Plugin Overlord
Veteran
Joined
Jul 8, 2016
Messages
168
Reaction score
155
First Language
English
Primarily Uses
RMMZ
Equip Requirements - Version 1.0

RPG Maker MV Plugin

@DaedraTalos & @TwentyFree

Introduction

Add requirements for equipment to be equipped and unequipped!

Features

Add requirements for equipment to be equipped and unequipped!

This plugin takes advantage of the plugin parameters, and does not require any armor tags.

Instructions:

  1. Add as many EquipRequirement structs as you want, in the list in the parameters.
  2. For each EquipRequirementstruct, add the following:
    1. name: The visual name of the armor requirement, to help you easily identify it.
    2. Armor ID: The ID of the armor you want these requirements to apply to.
    3. Equip Requirements: The requirements you want to have fulfilled for the armor to be equippable.
    4. Unequip Requirements: The requirements you want to have fulfilled for the armor to be unequippable.
  3. In the Equip / Unequip requirements, you can add Requirementstructs.
    1. name: The visual name of the specific requirement, to help you easily identify it.
    2. Armor ID: the ID of the armor to already be equipped/not equipped for this requirement to be fulfilled. (can be left on None/0 if you simply want to have the script run without checking for any armor)
    3. type: whether this armor must be equipped, or unequipped, in order to fulfill this requirement.
    4. script: a script to run that must return either true or false. If true, the requirement is fulfilled.(note: to fulfill the requirement, the script must return true, and the specified armor must be already equipped/not equipped (or set to None/0))

How To Use
  • Copy the "DAE_EquipRequirements.js" file into your project's /js/plugins/ folder.
  • Activate the plugin by using the 'Plugin Manager'
  • Read the short documentation (help file) and try it out yourself!
  • Need any help? Comment on this thread!
Plugin Click here to get it! (includes paid version for commercial, and free version for non-commercial)

Credit:
DaedraKyne (@DaedraTalos) and @TwentyFree

Terms
Free for any non-commercial game, by downloading the demo available at the itch.io page.
For commercial games, you need to buy the paid itch.io version.

Updates
2020-07-27 - Version 1.0 - Released the plugin
 

DaedraTalos

Evil Plugin Overlord
Veteran
Joined
Jul 8, 2016
Messages
168
Reaction score
155
First Language
English
Primarily Uses
RMMZ
Update 1: Fixed an issue with the demo where it could not properly parse the plugin parameters, due to the file name.
 

xabileug

Veteran
Veteran
Joined
Jul 1, 2014
Messages
191
Reaction score
41
I'm looking something like this compatible with tomoaky's tm_card, yes conditional reqs for equipping cards.
 

DaedraTalos

Evil Plugin Overlord
Veteran
Joined
Jul 8, 2016
Messages
168
Reaction score
155
First Language
English
Primarily Uses
RMMZ
I'm looking something like this compatible with tomoaky's tm_card, yes conditional reqs for equipping cards.
Hey there ^^ Could you send me the link to that plugin's post / page? I could probably put together a quick compatibility patch that'll allow for requirements on cards too
 

Latest Threads

Latest Profile Posts

Is it weird that i feel overwhelmed from reading codes that i wrote few months ago? Lol.

I dont even know where to continue!:hsad:
Ami
Gosh,I want to Play this Game Again one more again!

Seeing my Own Character & Kannono Once Again!
Tales_of_the_World_Radiant_Mythology_3_JPN_PSP-Coverart.jpg
I've been a bit to depressed to get work done on the game lately. Don't worry, I'll be okay.
LunarFlareStudios wrote on Solar_Flare's profile.
Hey, my name is Lunar Flare Studios, and you're Solar Flare? That's so weird!

Forum statistics

Threads
115,297
Messages
1,088,727
Members
149,940
Latest member
Malca
Top